Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1523864 - [Tracking] Support IPv6 for VNX and Unity Manila Drivers
Summary: [Tracking] Support IPv6 for VNX and Unity Manila Drivers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 13.0 (Queens)
Assignee: Tom Barron
QA Contact: Dustin Schoenbrun
Don Domingo
URL:
Whiteboard:
Depends On: 1468020
Blocks: 1419948 1639594
TreeView+ depends on / blocked
 
Reported: 2017-12-08 20:57 UTC by ryan.genato
Modified: 2018-12-13 10:27 UTC (History)
14 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.4-20.el7ost puppet-tripleo-8.3.4-6.el7ost puppet-manila-12.4.0-2.el7ost openstack-manila-6.0.1-2.el7ost
Doc Type: Release Note
Doc Text:
This update adds support for use of Manila IPv6 export locations and access rules with Dell-EMC Unity and VNX back ends.
Clone Of:
Environment:
Last Closed: 2018-08-29 16:32:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 530326 None master: MERGED manila: Implement IPv6 support for Dell EMC VNX driver (Ibe7620f9548d5f57780e49c08214dc627b91a945) 2018-08-14 11:29:42 UTC
OpenStack gerrit 531075 None master: MERGED manila: Implement IPv6 support for Manila Dell EMC Unity driver (I590d569c6fe1a0f8b146bec9c74513269b8358f4) 2018-08-14 11:29:37 UTC
OpenStack gerrit 538146 None master: MERGED puppet-manila: Update DellEMC Manila Unity driver (Idd67c5cc598e4d01e349660db7722ac3594eca1b) 2018-08-14 11:29:32 UTC
OpenStack gerrit 538147 None master: MERGED tripleo-heat-templates: [DellEMC]Update Manila VNX driver (I42b0555c077dbc9f9d5ae4efaf1ec41a9c563b6a) 2018-08-14 11:29:27 UTC
OpenStack gerrit 543200 None master: MERGED tripleo-heat-templates: [DellEMC]Update Manila Unity driver (Ic0391618cf00413d6adc0ed3cba97eb76793c36a) 2018-08-14 11:29:22 UTC
OpenStack gerrit 555648 None master: MERGED puppet-manila: Update DellEMC Manila VNX driver (I46cc7a43c66391f9b4a10866ccc6da44315c9a82) 2018-08-14 11:29:16 UTC
OpenStack gerrit 562531 None stable/queens: MERGED puppet-manila: Update DellEMC Manila VNX driver (I46cc7a43c66391f9b4a10866ccc6da44315c9a82) 2018-08-14 11:29:12 UTC
OpenStack gerrit 562532 None stable/queens: MERGED puppet-manila: Update DellEMC Manila Unity driver (Idd67c5cc598e4d01e349660db7722ac3594eca1b) 2018-08-14 11:29:07 UTC
OpenStack gerrit 566384 None stable/queens: MERGED tripleo-heat-templates: [DellEMC]Update Manila VNX driver (I42b0555c077dbc9f9d5ae4efaf1ec41a9c563b6a) 2018-08-14 11:29:02 UTC
OpenStack gerrit 566550 None stable/queens: MERGED tripleo-heat-templates: [DellEMC]Update Manila Unity driver (Ic0391618cf00413d6adc0ed3cba97eb76793c36a) 2018-08-14 11:28:57 UTC
OpenStack gerrit 572260 None master: MERGED tripleo-heat-templates: Update yaml files for Dell EMC VNX, Unity drivers (Ie48cec52df720f3a13700d6048ecf78ba9067b51) 2018-08-14 11:28:52 UTC
OpenStack gerrit 577278 None master: MERGED puppet-tripleo: Update DellEMC Manila VNX driver (I99c2d9a27502af76e98e4c0b161bb3a31828520c) 2018-08-14 11:28:47 UTC
OpenStack gerrit 577282 None master: MERGED puppet-tripleo: Update DellEMC Manila Unity driver (I6330862def3ffce0aa187239829eda285dd16ab1) 2018-08-14 11:28:42 UTC
OpenStack gerrit 578823 None stable/queens: MERGED puppet-tripleo: Update DellEMC Manila VNX driver (I99c2d9a27502af76e98e4c0b161bb3a31828520c) 2018-08-14 11:28:37 UTC
OpenStack gerrit 578824 None stable/queens: MERGED puppet-tripleo: Update DellEMC Manila Unity driver (I6330862def3ffce0aa187239829eda285dd16ab1) 2018-08-14 11:28:32 UTC
OpenStack gerrit 582823 None stable/queens: MERGED tripleo-heat-templates: Update yaml files for Dell EMC VNX, Unity drivers (Ie48cec52df720f3a13700d6048ecf78ba9067b51) 2018-08-14 11:28:27 UTC
Red Hat Product Errata RHBA-2018:2573 None None None 2018-08-29 16:33:24 UTC

Description ryan.genato 2017-12-08 20:57:59 UTC
Description of problem:
IPv6 support for the VNX Manila driver and Cinder Manila driver will be provided in OpenStack Queens. As we have missed the window for promotion into the OSP13 base release it is requested that these drivers be supported by Red Hat OpenStack Platform 14.

Version-Release number of selected component (if applicable):
VNX Manila Driver: 6.0.0
Unity Manila Driver: 4.0.0

Additional info:
IPv6 support is driven significantly by a request from a large shared customer between Red Hat and Dell EMC. This customer intends to make use of IPv6 and requires its infrastructure to support the protocol accordingly.

Comment 7 Tom Barron 2018-03-14 15:40:05 UTC
These TripleO changes would also seem to be required?

https://review.openstack.org/#/c/538147/

https://review.openstack.org/#/c/538146/

Adding these to the external tracker and moving state back to ON_DEV until they are merged.  If someone knows better and the tripleO changes are not actually needed for V6 deployment (they add v6 options) then please remove them from the tracker and move back to POST.

Comment 13 Alan Bishop 2018-05-04 18:54:54 UTC
Adding upstream puppet-manila gerrit for VNX

Comment 14 Alan Bishop 2018-05-04 19:27:33 UTC
Adding upstream tripleo-heat-templates gerrit for Unity

Comment 16 Paul Grist 2018-05-22 22:50:08 UTC
Patches are in stable queens and will come into the first errata update and didn't make the GA release.

Comment 18 Alan Bishop 2018-06-21 15:44:07 UTC
I just did a test of upstream stable/queens using tripleo-quickstart, and there's a problem. Like many storage backends, Manila's VNX and Unity backends rely on code in puppet-triple to essentially "bind" TripleO Heat parameters to the puppet-manila inputs that configure the backend.

The upstream patches added 3 new parameters (1 for IPv6 and 2 that control SSL certificates) to tripleo-heat-templates and puppet-manila. Unfortunately, the puppet-tripleo piece is missing, and so the THT values are never passed to puppet-manila.

This means the puppet-manila default values cannot be overridden. As things stand now, the VNX and Unity backends will be configured as follows:

- IPv6 support is enabled
- SSL cert verification is disabled

The key point is, these settings currently cannot be modified using the TripleO parameters.

Comment 19 Sean Merrow 2018-06-21 15:47:30 UTC
Rajini, can you comment or reach out internally?

Comment 20 Rajini Karthik 2018-06-21 18:21:09 UTC
Will work with alan on this. Will be submitting the missing patches soon

Comment 21 Rajini Karthik 2018-06-21 18:30:20 UTC
We need 4 patches (on master, and all 4 backported to stable/queens)
1. puppet-tripleo for vnx
2. puppet-tripleo for unity
3. tht for vnx
4. tht for unity

Comment 27 Joanne O'Flynn 2018-08-15 09:56:40 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 29 Rajini Karthik 2018-08-28 13:41:57 UTC
The IPv6 issue described in this bug has been verified with Manila deployment for VNX/Unity by Dell EMC.

Comment 30 Sean Merrow 2018-08-28 14:03:11 UTC
Marking as Partner Verified as per OtherQA keyword and comment #29 from partner.

Comment 32 errata-xmlrpc 2018-08-29 16:32:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2573


Note You need to log in before you can comment on or make changes to this bug.